import { r as registerInstance, c as createEvent, h } from './index-102043e0.js';

let DvnFieldInputBoolean = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.blur = createEvent(this, "blur", 7);
    this.change = createEvent(this, "change", 7);
  }
  render() {
    const { disabled, field, value } = this;
    return (h("dvn-checkbox", { id: field.id, disabled: disabled || field.disabled, onBlur: () => this.blur.emit(), value: field.id, checked: value, leaned: true, label: field.label }));
  }
};

export { DvnFieldInputBoolean as dvn_field_input_boolean };
